var
	validity = require('../../piton-validity');

module.exports = {
	email: new validity.PropertyValidator(validity.validators.isEmail, '#{name} must be a valid email address'),
	required: new validity.PropertyValidator(validity.validators.isRequired, '#{name} is required'),
	customRequired: function(failureMessage) { return  new validity.PropertyValidator(validity.validators.isRequired, failureMessage); },
	ukpostcode: new validity.PropertyValidator(validity.validators.isUKPostcode, '#{name} must be a valid UK postcode'),
	length: function(min, max) {
		return new validity.PropertyValidator(validity.validators.isLength.bind(this, min, max), '#{name} must be between ' + min + ' and ' + max + ' in length');
	},
	integer: new validity.PropertyValidator(validity.validators.isInteger, '#{name} must be an integer')
};
